Bug 163307 - REGRESSION (r207162): [debug] loader/stateobjects LayoutTests timing out
Summary: REGRESSION (r207162): [debug] loader/stateobjects LayoutTests timing out
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-10-11 16:54 PDT by Ryan Haddad
Modified: 2016-11-16 14:53 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.39 KB, patch)
2016-11-16 14:11 PST, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2016-10-11 16:54:55 PDT
REGRESSION: [debug] loader/stateobjects LayoutTests timing out

https://build.webkit.org/results/Apple%20Sierra%20Debug%20WK2%20(Tests)/r207164%20(291)/results.html

loader/stateobjects/pushstate-size-iframe.html
loader/stateobjects/pushstate-size.html
loader/stateobjects/replacestate-size-iframe.html
loader/stateobjects/replacestate-size.html
Comment 1 Ryan Haddad 2016-10-11 16:57:07 PDT
This may be more fallout from https://trac.webkit.org/changeset/207162
Comment 2 Ryan Haddad 2016-10-11 16:59:02 PDT
Yep, seems to have started after the URLParser was enabled.
Comment 3 Ryan Haddad 2016-10-11 17:20:28 PDT
Temporarily skipped these tests on debug with http://trac.webkit.org/projects/webkit/changeset/207180
Comment 4 Alexey Proskuryakov 2016-11-15 11:47:51 PST
Alex, is this something that you are looking into?
Comment 5 Alex Christensen 2016-11-15 12:52:31 PST
Not actively
Comment 6 Radar WebKit Bug Importer 2016-11-15 13:32:31 PST
<rdar://problem/29274539>
Comment 7 Alex Christensen 2016-11-16 14:11:05 PST
Created attachment 294974 [details]
Patch
Comment 8 Alexey Proskuryakov 2016-11-16 14:15:26 PST
Comment on attachment 294974 [details]
Patch

r=me pending EWS
Comment 9 WebKit Commit Bot 2016-11-16 14:53:53 PST
Comment on attachment 294974 [details]
Patch

Clearing flags on attachment: 294974

Committed r208815: <http://trac.webkit.org/changeset/208815>
Comment 10 WebKit Commit Bot 2016-11-16 14:53:57 PST
All reviewed patches have been landed.  Closing bug.